cd "C:\Users\[FILENAME]\Study2"
clear
set more off
cap ssc install blindschemes

/* Full treatment text

Display This Question:
If risktreatment = 1

covidrisk The Center for Disease Control believes that COVID-19 is spread by being in close contact with people who are infected, even if they are not necessarily showing symptoms. More recent evidence suggests that the virus may also spread through the air in enclosed spaces because the virus remains in the air even after an infected person leaves the space. This means being near people who you do not live with you, especially in indoor spaces, increases your risk of contracting the virus and spreading it to others. 


Display This Question:
If risktreatment = 2

civilunrest Recent civil unrest has created a tense environment in cities around the country. In many places, people are worried about finding themselves in the middle of a heated exchange between protestors and counter-protestors, some of whom are out to incite violence and destroy property. This has created feelings of uneasiness around the country with people feeling that going about their lives is riskier than usual. 


Display This Question:
If risktreatment = 3

covidreduction Due to the risks created by COVID-19, public health and elections officials have been working around the clock to ensure that voting in-person at the polls is going to be as low-risk as possible. This means that the voting booths and lines will be socially distanced with voters strongly encouraged to stay six feet apart from each other at all times at the polls. Shared surfaces, like voting booths will be cleaned between voters. Hand sanitizer and other personal protective equipment are also likely to be made available at polling locations to be consistent with best public health practices. These steps mean voters can feel confident about going to the polls and safely casting their ballots.  


Display This Question:
If risktreatment = 4

Q66 The Center for Disease Control believes that COVID-19 is spread by being in close contact with people who are infected, even if they are not necessarily showing symptoms. More recent evidence suggests that the virus may also spread through the air in enclosed spaces because the virus remains in the air even after an infected person leaves the space. This means being near people who you do not live with you, especially in indoor spaces, increases your risk of contracting the virus and spreading it to others. 
Due to the risks created by COVID-19, public health and elections officials have been working around the clock to ensure that voting in-person at the polls is going to be as low-risk as possible. This means that the voting booths and lines will be socially distanced with voters strongly encouraged to stay six feet apart from each other at all times at the polls. Shared surfaces, like voting booths will be cleaned between voters. Hand sanitizer and other personal protective equipment are also likely to be made available at polling locations to be consistent with best public health practices. These steps mean voters can feel confident about going to the polls and safely casting their ballots.  

*/

use Study2Anonymized.dta

* Demographics
foreach var of varlist age-political_party {
	rename `var' lucid_`var'
}

gen lucid_female = (lucid_gender==2)
label var lucid_female "Female (1=yes)"
drop lucid_gender

replace lucid_hhi=25 if lucid_hhi==. | lucid_hhi==-3105
label define inclabel 1 "Less than $14,999" 2 "$15,000 to $19,999" 3 "$20,000 to $24,999" 4 "$25,000 to $29,999" 5 " $30,000 to $34,999" 6 " $35,000 to $39,999" 7 "$40,000 to $44,999" 8 "$45,000 to $49,999" 9 " $50,000 to $54,999" 10 " $55,000 to $59,999" 11 "$60,000 to $64,999" 12 " $65,000 to $69,999" 13 "$70,000 to $74,999" 14 "$75,000 to $79,999" 15 "$80,000 to $84,999" 16 "$85,000 to $89,999" 17 "$90,000 to $94,999" 18 "$95,000 to $99,999" 19 "$100,000 to $124,999" 20 "$125,000 to $149,999" 21 "$150,000 to $174,999" 22 "$175,000 to $199,999" 23 " $200,000 to $249,999" 24 "$250,000 and above" 25 "Missing"
label values lucid_hhi inclabel
label var lucid_hhi "Lucid Household Income (1-24, 25=missing)"
gen lucid_incmissing=(lucid_hhi==25)
label var lucid_incmissing "Lucid Household Income missing"

*education
replace lucid_education = 4 if lucid_education==-3105
label def ed 1	"Some high school or less"2	"High school graduate"3	"Other post high school vocational training" 4	"Completed some college, but no degree (and missing)" 5	"Associate's degree"6	"Bachelor's degree"7	"Master's or professional degree"8	"Doctorate degree"
label val lucid_education ed
label var lucid_education "Lucid education scale (1-8)"

*party
gen lucid_party7 = 1 if lucid_political_party == 1
replace lucid_party7 = 2 if lucid_political_party == 2
replace lucid_party7 = 3 if lucid_political_party == 3|lucid_political_party == 6
replace lucid_party7 = 4 if lucid_political_party ==4|lucid_political_party == 7
replace lucid_party7 = 5 if lucid_political_party == 5|lucid_political_party == 8
replace lucid_party7 =6 if lucid_political_party == 9
replace lucid_party7 = 7 if lucid_political_party == 10
label def pty 1 "Strong Democrat" 2 "Democrat" 3 "Democrat Lean" 4 "Independent" 5 "Republican Lean" 6 "Republican" 7 "Strong Republican"
label val lucid_party7 pty
label var lucid_party7 "Lucid 7-pt Partisansip (1 = SD, 7=SR)"
drop lucid_political_party

tab lucid_party7, gen(partisanship_)
drop partisanship_4
label var partisanship_1 "Strong Democrat"
label var partisanship_2 "Democrat"
label var partisanship_3 "Democrat Lean"
label var partisanship_5 "Republican Lean"
label var partisanship_6 "Republican"
label var partisanship_7 "Strong Republican"

gen party_3cat = . 
replace party_3cat = 1 if lucid_party < 4
replace party_3cat = 2 if lucid_party == 4
replace party_3cat = 3 if lucid_party > 4
label def p3 1 "Democrat" 2 "Independent" 3 "Republican"
label val party_3cat p3
label var party_3cat "Partisanship (with leaners)"

*Demographics
summ lucid_age
tab lucid_female
gen black = (lucid_ethnicity == 2)
tab black
gen r_hisp = lucid_hispanic > 1 & lucid_hispanic <15
tab r_hisp
tab lucid_hhi
gen educ3 = 0 if (lucid_education == 1|lucid_education == 2)
replace educ3 = 1 if (lucid_education > 2 & lucid_education < 7)
replace educ3 = 2 if(lucid_education > 6)
tab educ3

count

rename risk treatment
recode treatment (2 = 4) (4 = 3) (3 = 2) (0 = 0) (1 = 1)
label define risklabel 0 "Control" 1 "COVID-19 Risk" 2 "COVID-19 Safety Measures" 3 "COVID-19 Risk + Safety Measures" 4 "Civil Unrest"
label values treatment risklabel

*Alternative coding of the treatment
gen alt_covidrisktreatment = (treatment == 1|treatment == 3) 
label var alt_covidrisktreatment "Treatment includes COVID-19 risk"

gen alt_covidsafetytreatment = (treatment == 2|treatment == 3)
label var alt_covidsafetytreatment "Treatment includes safety steps"

gen alt_civilunresttreatment = (treatment == 4)
label var alt_civilunresttreatment "Civil unrest treatment"

gen out_vip=.
replace out_vip=4 if voteinperson==`"Extremely likely"'
replace out_vip=3 if voteinperson==`"Somewhat likely"'
replace out_vip=2 if voteinperson==`"Neither likely nor unlikely"'
replace out_vip=1 if voteinperson==`"Somewhat unlikely"'
replace out_vip=0 if voteinperson==`"Extremely unlikely"'

gen out_bin_vip=.
replace out_bin_vip=1 if out_vip==4 | out_vip==3
replace out_bin_vip=0 if out_vip==2 | out_vip==1 | out_vip==0
label var out_bin_vip "Vote in person, Binary (0,1)"

replace out_vip = out_vip/4
label var out_vip "Vote in Person, Likelihood (0-1)"

gen out_any=.
replace out_any=4 if anyvote==`"Extremely likely"'
replace out_any=3 if anyvote==`"Somewhat likely"'
replace out_any=2 if anyvote==`"Neither likely nor unlikely"'
replace out_any=1 if anyvote==`"Somewhat unlikely"'
replace out_any=0 if anyvote==`"Extremely unlikely"'

gen out_bin_any=.
replace out_bin_any=1 if out_any==4 | out_any==3
replace out_bin_any=0 if out_any==2 | out_any==1 | out_any==0
label var out_bin_any "Vote any method, Binary (0,1)"

replace out_any=out_any/4
label var out_any "Vote any method, Likelihood (0-1)"

* Worried in person was asked differently at the beginning because of a programming error; those cases are excluded

gen out_worryinperson=.
replace out_worryinperson=3 if  worriedinperson==`"Very worried"'
replace out_worryinperson=2 if  worriedinperson==`"Somewhat worried"' 
replace out_worryinperson=1 if  worriedinperson==`"A little bit worried"'
replace out_worryinperson=0 if  worriedinperson==`"Not at all worried"' 
*Programming error in qualtrics
replace out_worryinperson=. if date<=mdy(10,29,2020)
replace out_worryinperson = out_worryinperson/3
label var out_worryinperson "Worry about in-person voting (0-1)"

summ out_*

* Test of random assignment
mlogit treatment
est store restricted

mlogit treatment lucid_age lucid_female lucid_hhi lucid_incmissing lucid_education partisanship_*
est store withcv

lrtest restricted withcv
*can't reject null that the additional variables are unnecc.
*assignment therefore balanced.

set scheme plotplain

foreach var of varlist out_vip out_bin_vip out_worryinperson {
	regress `var' i.treatment lucid_age lucid_female black r_hisp lucid_hhi lucid_incmissing i.lucid_education partisanship_*, robust
	est store `var'
	summ `var' if e(sample) & treatment==0
	local cgmean = r(mean)
	if "`var'"=="out_vip" {
		outreg2 using tables\TableA4.out, se bracket rdec(3) adec(3)  addstat("Control group mean",`cgmean') replace
	}
	else {
		outreg2 using tables\TableA4.out, se bracket rdec(3) adec(3)  addstat("Control group mean",`cgmean') append
	}
}

coefplot out_vip, bylabel(Likelihood Vote in Person)|| out_bin_vip, bylabel(Likelihood Vote in Person, binary)|| out_worryinperson, bylabel("Worry About In Person Voting")||, keep(*.treatment) subtitle(,size(small)) xline(0) base xlabel(,labsize(medium)) msymbol(circle) msize(medlarge) byopts(row(1) title(Panel A)) name(VIP_fullsample, replace)

* Instead describing treatments by whether they mention risk or safety, 3B
foreach var of varlist out_vip out_bin_vip out_worryinperson {
	regress `var' alt_covidrisktreatment alt_covidsafetytreatment alt_civilunresttreatment lucid_age lucid_female black r_hisp lucid_hhi lucid_incmissing i.lucid_education partisanship_*, robust
	est store `var'_alt
	summ `var' if e(sample) & treatment==0
	local cgmean = r(mean)
	if "`var'"=="out_vip" {
		outreg2 using tables\TableA4.out, se bracket rdec(3) adec(3)  addstat("Control group mean",`cgmean') replace
	}
	else {
		outreg2 using tables\TableA4.out, se bracket rdec(3) adec(3)  addstat("Control group mean",`cgmean') append
	}
}

coefplot out_vip_alt, bylabel(Likelihood Vote in Person)|| out_bin_vip_alt, bylabel(Likelihood Vote in Person, binary)|| out_worryinperson_alt, bylabel("Worry About In Person Voting")||, keep(alt_*) subtitle(,size(small)) xline(0) base xlabel(,labsize(medium)) msymbol(circle) msize(medlarge) byopts(row(1) title(Panel B)) name(VIP_fullsample_AltT, replace) 

graph combine VIP_fullsample VIP_fullsample_AltT, cols(1) name(Figure2, replace)
graph export Figures\Figure2.pdf, replace

* Analysis without covariates, available upon request
foreach var of varlist out_vip out_bin_vip out_worryinperson {
	regress `var' i.treatment, robust
	est store `var'_nocov
	summ `var' if e(sample) & treatment==0
	local cgmean = r(mean)
	if "`var'"=="out_vip" {
		outreg2 using tables\TreatmentEffectsNoCOV.out, se bracket rdec(3) adec(3)  addstat("Control group mean",`cgmean') replace
	}
	else {
		outreg2 using tables\TreatmentEffectsNoCOV.out, se bracket rdec(3) adec(3)  addstat("Control group mean",`cgmean') append
	}
}

* MLE Results of Figure 3A, Table A5
foreach var of varlist out_vip out_bin_vip out_worryinperson {
	ologit `var' i.treatment lucid_age lucid_female black r_hisp lucid_hhi lucid_incmissing i.lucid_education partisanship_*, robust
	if "`var'"=="out_vip" {
		outreg2 using tables\TableA5.out, se bracket rdec(3)  replace
	}
	else {
		outreg2 using tables\TableA5.out, se bracket rdec(3)  append
	}
}

* Analysis partitioning by party, Figure 3A (Alternative definition of treatments appears in Table A6)

* Democrats
foreach var of varlist out_vip out_bin_vip out_worryinperson {
	regress `var' i.treatment lucid_age lucid_female black r_hisp lucid_hhi lucid_incmissing i.lucid_education if party_3cat == 1, robust
	est store `var'dem
	summ `var' if e(sample) & treatment==0
	local cgmean = r(mean)
	if "`var'"=="out_vip" {
		outreg2 using tables\TableA6.out, se bracket rdec(3) adec(3)  addstat("Control group mean",`cgmean') replace
	}
	else {
		outreg2 using tables\TableA6.out, se bracket rdec(3) adec(3)  addstat("Control group mean",`cgmean') append
	}
}

coefplot out_vipdem, bylabel(Likelihood Vote in Person)|| out_bin_vipdem, bylabel(Likelihood Vote in Person, binary)|| out_worryinpersondem, bylabel("Worry About In Person Voting")||, keep(*.treatment) xline(0) subtitle(,size(small))  base xlabel(,labsize(medium)) msymbol(circle) msize(medlarge) byopts(row(1) title("Democrats", size(large))) name(VIP_Democrats, replace)

* Republicans
foreach var of varlist out_vip out_bin_vip out_worryinperson {
	regress `var' i.treatment lucid_age lucid_female black r_hisp lucid_hhi lucid_incmissing i.lucid_education if party_3cat == 3, robust
	est store `var'rep
	summ `var' if e(sample) & treatment==0
	local cgmean = r(mean)
	outreg2 using tables\TableA6.out, se bracket rdec(3) adec(3)  addstat("Control group mean",`cgmean') append
}

coefplot out_viprep, bylabel(Likelihood Vote in Person)|| out_bin_viprep, bylabel(Likelihood Vote in Person, binary)|| out_worryinpersonrep, bylabel("Worry About In Person Voting")||, keep(*.treatment) xline(0) subtitle(,size(small)) base xlabel(,labsize(medium)) msymbol(circle) msize(medlarge) byopts(row(1) title("Republicans", size(large))) name(VIP_Republicans, replace)

graph combine VIP_Democrats VIP_Republicans, rows(2) name(Figure3, replace)
graph export Figures\Figure3.pdf, replace

* Analysis partitioning by party

* Instead describing treatments by whether they mention risk or safety
foreach var of varlist out_vip out_bin_vip out_worryinperson {
	regress `var' alt_covidrisktreatment alt_covidsafetytreatment alt_civilunresttreatment lucid_age lucid_female black r_hisp lucid_hhi lucid_incmissing i.lucid_education if party_3cat == 1, robust
	est store `var'dem_alt
	summ `var' if e(sample) & treatment==0
	local cgmean = r(mean)
	outreg2 using tables\TableA6.out, se bracket rdec(3) adec(3)  addstat("Control group mean",`cgmean') append
}

foreach var of varlist out_vip out_bin_vip out_worryinperson {
	regress `var' alt_covidrisktreatment alt_covidsafetytreatment alt_civilunresttreatment lucid_age lucid_female black r_hisp lucid_hhi lucid_incmissing i.lucid_education if party_3cat == 3, robust
	est store `var'rep_alt
	summ `var' if e(sample) & treatment==0
	local cgmean = r(mean)
	outreg2 using tables\TableA6.out, se bracket rdec(3) adec(3)  addstat("Control group mean",`cgmean') append
}

